# phpDox - PDO::beginTransaction

# PDO::beginTransaction

#### Initiates a transaction

Turns off autocommit mode. While autocommit mode is turned off, changes made to the database via the PDO object instance are not committed until you end the transaction by calling PDO::commit. Calling PDO::rollBack will roll back all changes to the database and return the connection to autocommit mode.

## Signature

`public function beginTransaction()`

## Returns

bool